Skip to main content
PUT
/
v0
/
source-accounts
/
{source_account_id}
Update a Transaction Source Account
curl --request PUT \
  --url https://api.sandbox.teal.dev/v0/source-accounts/{source_account_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'teal-instance-id: <teal-instance-id>' \
  --data '
{
  "name": "<string>",
  "invert_transaction_amounts": true,
  "enable_balance_polling": true
}
'
{
  "id": "<string>",
  "name": "<string>",
  "ledger_id": "<string>",
  "invert_transaction_amounts": false,
  "enable_balance_polling": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer , where is your auth token.

Headers

teal-instance-id
string
required

The Teal instance ID

modified-by
string | null

An optional identifier for audit logging.

Path Parameters

source_account_id
string
required

The Source Account ID

Body

application/json
name
string | null
deprecated

Deprecated. Renames now cascade to the linked ledger; rename the ledger directly instead.

invert_transaction_amounts
boolean | null

If true transaction amounts are inverted during manual import only.

enable_balance_polling
boolean | null

If true balance polling will be enabled for the source account. If false balance polling will be disabled. Only applicable to Plaid source accounts.

Response

Successful Response

id
string
required
Example:

"KdE7Q37LeQhFQCfEejfibT"

name
string
required
deprecated

Deprecated. Returns the linked ledger's name; read it from the ledger directly.

debit_credit
enum<string>
required

Whether the account is a debit or credit account.

Available options:
debit,
credit
ledger_id
string
required

The ledger ID where transactions will be posted.

type
enum<string>
required

The type of the transaction source.

Available options:
plaid,
manual
business_personal
enum<string>
required

Whether the account is a business or personal account.

Available options:
business,
personal
invert_transaction_amounts
boolean
default:false

If true transaction amounts are inverted during manual import only.

enable_balance_polling
boolean | null

Indicates if source account will poll external sources for balances. Only applicable to plaid linked accounts.